%global commitId_aap_setup ba388d97e20527353936b8148f32c47a25491543
%global commitId_installer_collection 41784d1953c69f6743f6baac8ee0e949899c4637
%global upstream_version 2.4-4

%global installer_name ansible-automation-platform-installer
%global aap_version 2.4
%global aap_release %(echo %{upstream_version} | %{__sed} -e 's#.*-##')

%global installer_root /opt/ansible-automation-platform/installer

%global debug_package %{nil}
%global __brp_mangle_shebangs_exclude_from /ansible_collections/
%global __requires_exclude ^/usr/bin/python$

Name:           %{installer_name}
Version:        %{aap_version}
Release:        %{aap_release}%{?dist}
Summary:        Red Hat Ansible Automation Platform Installer
License:        ASL 2.0
URL:            https://docs.ansible.com/automation
BuildArch:      noarch
ExclusiveArch:  x86_64 noarch

Source0: automation-platform-setup-ba388d97e20527353936b8148f32c47a25491543.tar.gz

Source91: automation-platform-collection-41784d1953c69f6743f6baac8ee0e949899c4637.tar.gz
Source92: ansible-posix-1.5.4.tar.gz
Source93: community-crypto-1.9.5.tar.gz
Source94: community-general-7.0.1.tar.gz
Source95: community-postgresql-1.3.0.tar.gz
Source96: mdellweg-filters-0.0.3.tar.gz

BuildRequires: ansible-core >= 2.14
Requires: ansible-core >= 2.14

%description
Red Hat Ansible Automation Platform Installer

%prep
%setup -T -b 91 -n automation-platform-collection-%{commitId_installer_collection}
%setup -n automation-platform-setup-%{commitId_aap_setup}

%build

%install
mkdir -p %{buildroot}/%{installer_root}

pushd setup
  cp -a group_vars inventory setup.sh %{buildroot}/%{installer_root}/
  sed -e 's#%AAP_VERSION%#%{version}#;' README.md.in > %{buildroot}/%{installer_root}/README.md
popd

ansible-galaxy collection install %{_builddir}/automation-platform-collection-%{commitId_installer_collection} %{SOURCE92} %{SOURCE93} %{SOURCE94} %{SOURCE95} %{SOURCE96} -p %{buildroot}/%{installer_root}/collections

%files
%{installer_root}
%config %{installer_root}/inventory
%doc %{installer_root}/README.md

%changelog
* Wed Dec 20 2023 Satoe Imaishi <simaishi@redhat.com> - 2.4-4
- Update to 2.4-4

* Wed Nov 15 2023 Satoe Imaishi <simaishi@redhat.com> - 2.4-3
- Update to 2.4-3

* Tue Sep 19 2023 Satoe Imaishi <simaishi@redhat.com> - 2.4-2.1
- Update to 2.4-2.1

* Tue Jun 13 2023 Satoe Imaishi <simaishi@redhat.com> - 2.4-1
- Automation Platform Installer 2.4-1 release

* Tue Mar 14 2023 Satoe Imaishi <simaishi@redhat.com> - 2.3-2
- Automation Platform Installer 2.3-2 release

* Tue Nov 08 2022 Satoe Imaishi <simaishi@redhat.com> - 2.3-1
- Automation Platform Installer 2.3-1 release

* Tue Sep 06 2022 Satoe Imaishi <simaishi@redhat.com> - 2.2.1-1
- Automation Platform Installer 2.2.1-1 release

* Tue Aug 02 2022 Satoe Imaishi <simaishi@redhat.com> - 2.2.0-8
- Automation Platform Installer 2.2.0-8 release

* Thu Jun 23 2022 Satoe Imaishi <simaishi@redhat.com> - 2.2.0-7
- Automation Platform Installer 2.2.0-7 release

* Wed May 25 2022 Satoe Imaishi <simaishi@redhat.com> - 2.2.0-6
- Automation Platform Installer 2.2.0-6 release

* Tue May 24 2022 Satoe Imaishi <simaishi@redhat.com> - 2.2.0-5
- Automation Platform Installer 2.2.0 release
